package com.itsoulos.spinnerexample;

import androidx.appcompat.app.AppCompatActivity;

import android.graphics.Color;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.LinearLayout;
import android.widget.Spinner;
import android.widget.TextView;

import java.util.ArrayList;

public class MainActivity extends AppCompatActivity {
    LinearLayout mainLayout=null;
    Spinner spinner=null;
    TextView result=null;

    ArrayList<String> names=new ArrayList<String>();
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        names.add("Giannis");names.add("Maria");names.add("Kostas");names.add("Niki");
        mainLayout=new LinearLayout(this);
        mainLayout.setOrientation(LinearLayout.VERTICAL);
        result=new TextView(this);
        result.setText(" ");
        result.setBackgroundColor(Color.BLUE);
        result.setTextColor(Color.YELLOW);
        result.setTextSize(20);
        mainLayout.addView(result);
        spinner=new Spinner(this);
        ArrayAdapter<String> adapter=new ArrayAdapter<String>(this,android.R.layout.simple_spinner_item,names);
        spinner.setAdapter(adapter);
        
        mainLayout.addView(spinner);
        spinner.setOnItemSelectedListener(new AdapterView.OnItemSelectedListener() {
            @Override
            public void onItemSelected(AdapterView<?> parent, View view, int position, long id) {
                result.setText("Name = "+names.get(position));
            }

            @Override
            public void onNothingSelected(AdapterView<?> parent) {

            }
        });
        setContentView(mainLayout);
    }
}
